3. View/Print the invoice
3.1. GetPopUpURL - URL to view the Invoice
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API returns the URL to view a single invoice on POPBiLL service website.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : POPUP |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?TG=POPUP' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.2. GetViewURL - URL to view the Invoice [without menus/buttons]
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API returns the URL to view a single invoice on POPBiLL service website (showing a page without menus and buttons).
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : VIEW |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?TG=VIEW' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.3. GetPrintURL - URL to print the Invoice
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API returns the URL to print a single invoice and you can select one of the following print configuration settings within the same URL page : “공급자”(seller) / “공급받는자”(buyer) / “공급자 + 공급받는자”(seller + buyer).
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : PRINT |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?TG=PRINT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.4. GetEPrintURL - URL to print the invoice [for buyer]
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API returns the URL to print a single invoice for buyer.
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : EPRINT |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?TG=EPRINT' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.5. GetMassPrintURL - URL to print invoices in bulk
POST
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}
POST
https://popbill.linkhub.co.kr/Statement/{ItemCode}
- This API returns the URL to print multiple invoices in bulk. (Maximum : 100 invoices)
- Returned URL is valid for 30 seconds and after that you cannot access to the page.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | - | Y | Input as an empty value |
Request Body
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| - | array | - | Y |
Document ID of an invoice to view
maximum : 100 invoices
|
Request Example
curl --request POST \
--url 'https://{domain}/Statement/{ItemCode}?Print' \
--header 'Authorization: Bearer {token}' \
--data '["TEST0001"]'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/API?T=2ZU3PQGQII4UD3J7HW2EURIBS...AWPV2OWRUPGACA======"
}
3.6. GetMailURL - URL for the invoice notification mail button
GET
https://popbill-test.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
GET
https://popbill.linkhub.co.kr/Statement/{ItemCode}/{MgtKey}
- This API returns the URL to view a single invoice via confirmation button located on the bottom of a notification mail.
- Returned URL has no limit on valid time.
A buyer can click the confirmation button to notify the seller for checking the invoice.
Request
Request Headers
| No. | Field | Mandatory | Description |
|---|---|---|---|
| Authorization | Y | Auth Token | |
| Accept-Language | N |
Response language
ko-KR: default
en-US
|
|
| Accept-Encoding | N | Response compression method gzip |
|
| X-PB-UserID | N | User’s POPBiLL ID |
Path Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| ItemCode | number | - | Y |
Types of invoices
|
|
| MgtKey | string | 24 | Y | Document ID |
Query Parameters
| No. | Field | Type | Length | Mandatory | Description |
|---|---|---|---|---|---|
| TG | string | - | Y | Fixed value : MAIL |
Request Example
curl --request GET \
--url 'https://{domain}/Statement/{ItemCode}/{MgtKey}?TG=MAIL' \
--header 'Authorization: Bearer {token}'
Response
Response Body
| No. | Field | Type | Length | Description |
|---|---|---|---|---|
| url | string | - | Response URL for a request |
Response Example
{
"url": "https://test.popbill.com/App/Taxinvoice/025102114360700001.E?T=Q5LM53CQT...FQH0QUG"
}
